%global momorel 2

Summary: A secure replacement for inetd.
Name: xinetd
Version: 2.3.13
Release: %{momorel}m%{?dist}
License: "xinetd" and see "COPYRIGHT"
Group: System Environment/Daemons
%NoSource 0 http://www.xinetd.org/xinetd-%{version}.tar.gz 4295b5fe12350f09b5892b363348ac8b
Source1: xinetd.init
Source2: xinetd.conf
Source3: xinetd-inetdconvert
Source4: xinetd-ttime
Source5: xinetd-utime
Source6: xinetd-tdtime
Source7: xinetd-udtime
Source8: xinetd-echo
Source9: xinetd-uecho
Source10: xinetd-chargen
Source11: xinetd-uchargen
Source12: xinetd.sysconf
Patch0: xinetd-2.3.13-gcc4.patch
Provides: inetd
PreReq: chkconfig 
Requires: filesystem >= 2.0.1
BuildRequires: tcp_wrappers >= 7.6
URL: http://www.xinetd.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: inetd

%description
Xinetd is a secure replacement for inetd, the Internet services
daemon.  Xinetd provides access control for all services based on the
address of the remote host and/or on time of access and can prevent
denial-of-access attacks. Xinetd provides extensive logging, has no
limit on the number of server arguments and you can bind specific
services to specific IP addresses on your host machine. It also enables
information of a service to be in a separate file


%prep
%setup -q

%patch0 -p1

%build
autoconf
%configure --with-libwrap --with-inet6 --with-loadavg
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_initscriptdir}
%makeinstall DAEMONDIR=%{buildroot}%{_sbindir} MANDIR=%{buildroot}%{_mandir}

mkdir -p %{buildroot}/etc/xinetd.d
install -m 755 %SOURCE1 %{buildroot}%{_initscriptdir}/xinetd
install -m 644 %SOURCE2 %{buildroot}/etc/xinetd.conf
#install -m 755 %SOURCE3 %{buildroot}/usr/sbin/inetdconvert
cp %SOURCE3 inetdconvert ; chmod a-x inetdconvert
install -m 644 %SOURCE4 %{buildroot}/etc/xinetd.d/time
install -m 644 %SOURCE5 %{buildroot}/etc/xinetd.d/time-udp
install -m 644 %SOURCE6 %{buildroot}/etc/xinetd.d/daytime
install -m 644 %SOURCE7 %{buildroot}/etc/xinetd.d/daytime-udp
install -m 644 %SOURCE8 %{buildroot}/etc/xinetd.d/echo
install -m 644 %SOURCE9 %{buildroot}/etc/xinetd.d/echo-uecho
install -m 644 %SOURCE10 %{buildroot}/etc/xinetd.d/chargen
install -m 644 %SOURCE11 %{buildroot}/etc/xinetd.d/chargen-udp

rm -f %{buildroot}%{_mandir}/man8/itox*
rm -f %{buildroot}/usr/sbin/itox
rm -f %{buildroot}/usr/sbin/xconv.pl

mkdir -p %{buildroot}/etc/sysconfig
install -m 644 %SOURCE12 %{buildroot}/etc/sysconfig/xinetd

%clean
rm -rf %{buildroot}

%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add xinetd 
fi

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del xinetd 
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service xinetd condrestart >/dev/null 2>&1
fi


%files
%defattr(-,root,root)
%doc INSTALL CHANGELOG COPYRIGHT README TODO xinetd/sample.conf inetdconvert

%config /etc/xinetd.conf
%{_sbindir}/*
%{_mandir}/*/*
%config %{_initscriptdir}/xinetd
%config /etc/xinetd.d/*
%config /etc/sysconfig/xinetd

%changelog
* Thu Nov 10 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.13-2m)
- add gcc4 patch. import from FC
- Patch0: xinetd-2.3.13-gcc4.patch

* Wed Feb  4 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.3.13-1m)
- update to 2.3.13
- add BuildRequires: tcp_wrappers >= 7.6

* Fri Dec 19 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.3.12-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Fri Oct 24 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.3.12-3m)
- fix License: preamble

* Sun Aug 31 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.3.12-2m)
- Change License tag: Distributable -> "xinetd"
  see COPYRIGHT file

* Thu Aug 21 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.3.12-1m)
- update to 2.3.12
- use %%{momorel} macro
- use %%NoSource, %%make
- fix CHANGELOG, COPYRIGHT and add TODO in %%doc

* Thu Apr 17 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.3.11-1m)
  update to 2.3.11

* Fri Feb 14 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.3.10-2m)
  not depend xinetdconf

* Fri Jan 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.3.10-1m)
- major bugfixes
- cancel 'Requires: python'

* Sat Nov 30 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.3.9-2m)
- add Requires: python

* Thu Sep 26 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.3.9-1m)
- minor bugfixes

* Wed Sep 18 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.3.8-1m)
- update to 2.3.8
- remove --with-inet6 from configure options
  IPv6 is no longer listened by default.
  If you intend to use IPv6 socket, add "IPv6" to service flag
  in each cofiguration file.

* Wed Aug 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.3.7-1m)
- minor bugfixes

* Tue Aug  6 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.3.6-1m)
  update to 2.3.6

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.3.4-6k)
- Prereq: /sbin/chkconfig -> chkconfig

* Mon Apr  8 2002 Toru Hoshina <t@kondara.org>
- (2.3.4-4k)
- inetdconvert is not necessary.

* Mon Apr  1 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.3.4-2k)
  update to 2.3.4

* Tue Jan  8 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.3.3-14k)
- rename echo-udp to echo-uecho for xinetconf

* Wed Nov  7 2001 Toru Hoshina <t@kondara.org>
- (2.3.3-10k)
- nigirisugi.txt
- revised spec file. /etc/xinetd.d is owned by filesystem at this time.

* Fri Sep 21 2001 Toru Hoshina <t@kondara.org>
- (2.3.3-10k)
- require xinetdconf.
- fix /etc/xinetd.d/time etc.

* Sun Sep  9 2001 MATAUDA, Daiki <dyky@df-usa.com>
- (2.3.3-6k)
- separate xinetd and xinetdconf packages

* Thu Aug 30 2001 Motonobu Ichimura <famao@kondara.org>
- (2.3.3-3k)
- up to 2.3.3 (another bugfix release)

* Thu Aug 30 2001 Motonobu Ichimura <famao@kondara.org>
- (2.3.2-3k)
- up to 2.3.2
- modify xinetdconf (keep up with original behavior)

* Fri Jul 13 2001 Motonobu Ichimura <famao@kondara.org>
- (2.3.0-3k)
- import to Jirai

* Fri Jul 13 2001 Motonobu Ichimura <famao@kondara.org>
- (2.3.0-2k)
- update (include bugfix)

* Sun Jun 17 2001 Toru Hoshina <toru@df-usa.com>
- (2.1.8.9-0.0015002k)
- pre15.

* Sun May 20 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.1.8.9-0.0014008k)
- modified xinetconf not to read *.rpmorig and *.rpmsave files

* Sat May 19 2001 Motonobu Ichimura <famao@kondara.org>
- (2.1.8.9-0.0014006k)
- sync with rawhide. (fixed EFAULT error)

* Wed May  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.1.8.9-0.0014004k)
- modified xinetconf to pick up service in comment

* Fri Mar 02 2001 Motonobu Ichimura <famao@kondara.org>
- (2.1.8.9-0.0014003k)
- up to 2.1.8.9pre14
- remove v6config patch. (now xinetd already includes this)
- (plan) remove tcp_wrapper support in the future release?

* Wed Jan 17 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.1.8.9-0.0013006k)
- added /usr/sbin/xinetdconf

* Tue Nov 28 2000 Kenichi Matsubara <m@kondara.org>
- /etc/rc.d/init.d to %{_initscriptdir}

* Wed Nov 15 2000 Motonobu Ichimura <famao@kondara.org>
- up to pre13
- remove v4handle,addr patch 'cause these are now in main tree
- added v6config patch ( this patch enable "v6only = yes" in config files )

* Tue Nov 14 2000 Motonobu Ichimura <famao@kondara.org>
- up to pre12 and added some patch

* Fri Nov 10 2000 Akira Higuchi <a@kondara.org>
- set sin_family AF_INET for v4-mapped v6 connections.

* Fri Aug 11 2000 Toru Hoshina <t@kondara.org>
- Kondarized.

* Tue Jul 25 2000 Bill Nottingham <notting@redhat.com>
- um, we *need* to prereq /etc/init.d

* Mon Jul 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't require /etc/init.d

* Sat Jul 22 2000 Bill Nottingham <notting@redhat.com>
- rebuild

* Tue Jul 18 2000 Trond Eivind Glomsr?<teg@redhat.com>
- fix the sections of the man pages (#14244)

* Tue Jul 18 2000 Trond Eivind Glomsr?<teg@redhat.com>
- remove itox, as it wouldn't do the right thing with our
  configuration
- same with xconv.pl
- some changes to the installation process

* Mon Jul 17 2000 Trond Eivind Glomsr?<teg@redhat.com>
- move initscript back to /etc/rc.d/init.d

* Fri Jul 14 2000 Trond Eivind Glomsr?<teg@redhat.com>
- change process name in init file

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- start the daemon with the "-reuse" flag

* Thu Jul 06 2000 Trond Eivind Glomsr?<teg@redhat.com>
- "Prereq:", not "Requires:" for /etc/init.d

* Wed Jul 06 2000 Trond Eivind Glomsr?<teg@redhat.com>
- require /etc/init.d

* Wed Jul  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- upper the number of instances to 60

* Sun Jul  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix a memory-allocation bug

* Wed Jun 28 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.8.9pre8

* Wed Jun 21 2000 Trond Eivind Glomsr?<teg@redhat.com>
- moved to /etc/init.d

* Wed Jun 21 2000 Trond Eivind Glomsr?<teg@redhat.com>
- changed specfile and initfile to implement conditional
  restart

* Sun Jun 18 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.8.9pre7
- now obsoletes inetd
- use %%{_tmppath}

* Sun Jun 04 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.8.9pre6
- added converter script which can convert specified or 
  remaing uncoverted services
- use %%{_mandir}
- removed +x on xinetd.conf

* Wed May 24 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.8.9pre4
- authpriv patch no longer needed

* Tue May 23 2000 Trond Eivind Glomsr?<teg@redhat.com>
- /etc/xinetd.d is now part of the filesystem package
- more fixes to xinetd.init

* Mon May 22 2000 Trond Eivind Glomsr?<teg@redhat.com>
- fixed some obvious bugs in xinetd.init
- added a default xinetd.conf
- patched xinetd to understand LOG_AUTHPRIV

* Fri May 19 2000 Trond Eivind Glomsr?<teg@redhat.com>
- updated version
- removed a define %ver (we already have %version)
- removed some extra CFLAGS declarations
- added configuration directory, /etc/xinetd.d

* Mon Feb 21 2000 Tim Powers <timp@redhat.com>
- fixed broken postun sections, should have been *preun*
- fixed broken gzip of manpages

* Wed Jan 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1.8.8p8
- Fix the init script (Bug #7277)
- remove our patches (no longer required)

* Tue Sep 21 1999 Bill Nottingham <notting@redhat.com>
- add -lnsl

* Tue Sep 7 1999 Tim Powers <timp@redhat.com>
- modification top install routine

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated source to 2.1.8.6b6
- built for 6.1

* Mon Apr 26 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.8.6b5
- build for PowerTools

* Mon Jan 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.8.5p2

* Tue Dec  1 1998 Bill Nottingham <notting@redhat.com>
- intial build
